import { Callback } from '../../types/Callback';
export declare const SYSTEM_EXTENSION_ID = "___SYSTEM__EXTENSION___";
export declare function getExtensionElement(): HTMLElement;
export declare function isExtensionInstalled(): boolean;
export declare function dispatchExtensionEvent(type: 'send' | 'callback', id: string, data: any): void;
export declare function postMessage(data: any, callback: Callback): void;
export declare function postCallMessage(data: any, callback: Callback<any>): void;
export declare function callExtensionMethod(type: string, method: string, data: any, callback: Callback<any>): void;
export declare function setup(): void;
